Bug 1662168 - systemd-240-2.fc30.x86_64 upgrade boot failure
Summary: systemd-240-2.fc30.x86_64 upgrade boot failure
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1664882 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-26 16:05 UTC by contactopublico57
Modified: 2019-01-11 13:53 UTC (History)
10 users (show)

Fixed In Version: systemd-240-3.gitf02b547.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-11 13:53:18 UTC
Type: Bug


Attachments (Terms of Use)

Description contactopublico57 2018-12-26 16:05:05 UTC
Description of problem:systemd boot failure


Version-Release number of selected component (if applicable):systemd-240-2.fc30.x86_64


How reproducible:dnf update


Steps to Reproduce:
1.dnf update
2.review package update summary
3.proceed with update

Actual result: reboot fails prior to login manager after systemd update


Expected results:boot to login manager, desktop


Additional info:
Rawhide 30, lightdm, mate

This was a 178 package update whereby Fedora DOES reboot when following systemd component updates are excluded from update:

systemd-240-2.fc30.x86_64.rpm       systemd-rpm-macros-240-2.fc30.noarch.rpm
systemd-libs-240-2.fc30.x86_64.rpm  systemd-udev-240-2.fc30.x86_64.rpm
systemd-pam-240-2.fc30.x86_64.rpm

Comment 1 contactopublico57 2018-12-26 16:07:54 UTC
If log file(s) is/are requested please specify exactly which file(s).

Comment 2 Zbigniew Jędrzejewski-Szmek 2018-12-28 16:56:40 UTC
Please provide the boot log from the failed boot (journalctl -b...). Other useful information: do you see any error messages? When does the boot stop?

Comment 3 contactopublico57 2018-12-30 15:21:24 UTC
Below please find relevant portion of the boot log for the failed boot.  In that the boot.log file apparently also contained entries for the previous Rawhide 29, those old entries have been excluded.  Content below should include a portion of the last good Fedora 30 boot as well as the entire failed boot.

Also note that after dnf update of dbus a hard power off reboot was required as normal shutdown could not be facilitated.  Fsck -f -y was run on the Fedora filesystem from an alternate linux platform PRIOR to reboot into Fedora 30. The reboot failed as noted in the bug.  Subsequent restore to a properly booting backup and dnf update EXCLUDING the noted systemd 240-2 components again required a hard power off after but rebooted to desktop and apparent normal functionality.

begin boot.log:

Welcome to [0;34mFedora 30 (Rawhide)[0m!

[[0;32m  OK  [0m] Listening on [0;1;39mJournal Socket (/dev/log)[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mSwap[0m.
[[0;32m  OK  [0m] Listening on [0;1;39mProcess Core Dump Socket[0m.
[[0;32m  OK  [0m] Listening on [0;1;39mudev Kernel Socket[0m.
[[0;32m  OK  [0m] Listening on [0;1;39mLVM2 poll daemon socket[0m.
[[0;32m  OK  [0m] Listening on [0;1;39mDevice-mapper event daemon FIFOs[0m.
[[0;32m  OK  [0m] Listening on [0;1;39mJournal Socket[0m.
         Starting [0;1;39mSetup Virtual Console[0m...
         Mounting [0;1;39mPOSIX Message Queue File System[0m...
         Starting [0;1;39mFile System Check on Root Device[0m...
         Mounting [0;1;39mHuge Pages File System[0m...
[[0;32m  OK  [0m] Set up automount [0;1;39mArbitrary Executable File Formats File System Automount Point[0m.
[[0;32m  OK  [0m] Listening on [0;1;39mJournal Audit Socket[0m.
         Mounting [0;1;39mKernel Debug File System[0m...
[[0;32m  OK  [0m] Listening on [0;1;39mudev Control Socket[0m.
[[0;32m  OK  [0m] Listening on [0;1;39minitctl Compatibility Named Pipe[0m.
[[0;32m  OK  [0m] Created slice [0;1;39mUser and Session Slice[0m.
[[0;32m  OK  [0m] Listening on [0;1;39mLVM2 metadata daemon socket[0m.
         Starting [0;1;39mMonitoring of LVM2 mirrors, snapshots etc. using dmeventd or progress polling[0m...
         Starting [0;1;39mJournal Service[0m...
         Starting [0;1;39mPreprocess NFS configuration convertion[0m...
[[0;32m  OK  [0m] Reached target [0;1;39mLogin Prompts[0m.
         Starting [0;1;39mApply Kernel Variables[0m...
         Mounting [0;1;39mFUSE Control File System[0m...
         Mounting [0;1;39mTemporary Directory (/tmp)[0m...
[[0;32m  OK  [0m] Started [0;1;39mForward Password Requests to Wall Directory Watch[0m.
         Starting [0;1;39mudev Coldplug all Devices[0m...
[[0;32m  OK  [0m] Reached target [0;1;39mUser and Group Name Lookups[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mSlices[0m.
[[0;32m  OK  [0m] Mounted [0;1;39mPOSIX Message Queue File System[0m.
[[0;32m  OK  [0m] Mounted [0;1;39mHuge Pages File System[0m.
[[0;32m  OK  [0m] Mounted [0;1;39mKernel Debug File System[0m.
[[0;32m  OK  [0m] Mounted [0;1;39mFUSE Control File System[0m.
[[0;32m  OK  [0m] Mounted [0;1;39mTemporary Directory (/tmp)[0m.
[[0;32m  OK  [0m] Started [0;1;39mudev Coldplug all Devices[0m.
         Starting [0;1;39mudev Wait for Complete Device Initialization[0m...
[[0;32m  OK  [0m] Started [0;1;39mPreprocess NFS configuration convertion[0m.
[[0;32m  OK  [0m] Started [0;1;39mLVM2 metadata daemon[0m.
[[0;32m  OK  [0m] Started [0;1;39mJournal Service[0m.
[[0;32m  OK  [0m] Started [0;1;39mApply Kernel Variables[0m.
[[0;32m  OK  [0m] Started [0;1;39mSetup Virtual Console[0m.
[[0;32m  OK  [0m] Started [0;1;39mMonitoring of LVM2 mirrors, snapshots etc. using dmeventd or progress polling[0m.
[[0;32m  OK  [0m] Started [0;1;39mFile System Check on Root Device[0m.
         Starting [0;1;39mRemount Root and Kernel File Systems[0m...
[[0;32m  OK  [0m] Started [0;1;39mRemount Root and Kernel File Systems[0m.
         Starting [0;1;39mLoad/Save Random Seed[0m...
         Starting [0;1;39mFlush Journal to Persistent Storage[0m...
         Starting [0;1;39mCreate Static Device Nodes in /dev[0m...
[[0;32m  OK  [0m] Started [0;1;39mLoad/Save Random Seed[0m.
[[0;32m  OK  [0m] Started [0;1;39mCreate Static Device Nodes in /dev[0m.
         Starting [0;1;39mudev Kernel Device Manager[0m...
[[0;32m  OK  [0m] Started [0;1;39mFlush Journal to Persistent Storage[0m.
[[0;32m  OK  [0m] Started [0;1;39mudev Kernel Device Manager[0m.
         Starting [0;1;39mShow Plymouth Boot Screen[0m...
[[0;32m  OK  [0m] Started [0;1;39mShow Plymouth Boot Screen[0m.
[[0;32m  OK  [0m] Created slice [0;1;39msystem-systemd\x2dbacklight.slice[0m.
         Starting [0;1;39mLoad/Save Screen Backlight Brightness of backlight:intel_backlight[0m...
         Starting [0;1;39mSetup Virtual Console[0m...
[[0;32m  OK  [0m] Listening on [0;1;39mLoad/Save RF Kill Switch Status /dev/rfkill Watch[0m.
[[0;32m  OK  [0m] Started [0;1;39mSetup Virtual Console[0m.
         Starting [0;1;39mShow Plymouth Boot Screen[0m...
[[0;32m  OK  [0m] Started [0;1;39mShow Plymouth Boot Screen[0m.
[[0;32m  OK  [0m] Started [0;1;39mForward Password Requests to Plymouth Directory Watch[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mLocal Encrypted Volumes[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mPaths[0m.
[[0;32m  OK  [0m] Started [0;1;39mLoad/Save Screen Backlight Brightness of backlight:intel_backlight[0m.
         Starting [0;1;39mLoad/Save RF Kill Switch Status[0m...
[[0;32m  OK  [0m] Started [0;1;39mLoad/Save RF Kill Switch Status[0m.
[[0;32m  OK  [0m] Started [0;1;39mudev Wait for Complete Device Initialization[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mLocal File Systems (Pre)[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mLocal File Systems[0m.
         Starting [0;1;39mRestore /run/initramfs on shutdown[0m...
         Starting [0;1;39mTell Plymouth To Write Out Runtime Data[0m...
         Starting [0;1;39mCreate Volatile Files and Directories[0m...
[[0;32m  OK  [0m] Started [0;1;39mRestore /run/initramfs on shutdown[0m.
[[0;32m  OK  [0m] Started [0;1;39mTell Plymouth To Write Out Runtime Data[0m.
[[0;32m  OK  [0m] Started [0;1;39mCreate Volatile Files and Directories[0m.
         Starting [0;1;39mSecurity Auditing Service[0m...
         Starting [0;1;39mNetwork Name Resolution[0m...
         Mounting [0;1;39mRPC Pipe File System[0m...
[[0;32m  OK  [0m] Mounted [0;1;39mRPC Pipe File System[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mrpc_pipefs.target[0m.
[[0;32m  OK  [0m] Started [0;1;39mNetwork Name Resolution[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mHost and Network Name Lookups[0m.
[[0;32m  OK  [0m] Started [0;1;39mSecurity Auditing Service[0m.
         Starting [0;1;39mUpdate UTMP about System Boot/Shutdown[0m...
[[0;32m  OK  [0m] Started [0;1;39mUpdate UTMP about System Boot/Shutdown[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mSystem Initialization[0m.
[[0;32m  OK  [0m] Listening on [0;1;39mOpen-iSCSI iscsid Socket[0m.
[[0;32m  OK  [0m] Started [0;1;39mDaily Cleanup of Temporary Directories[0m.
[[0;32m  OK  [0m] Started [0;1;39mdnf makecache --timer[0m.
[[0;32m  OK  [0m] Started [0;1;39mUpdates mlocate database every day[0m.
[[0;32m  OK  [0m] Started [0;1;39mDaily rotation of log files[0m.
[[0;32m  OK  [0m] Listening on [0;1;39mOpen-iSCSI iscsiuio Socket[0m.
[[0;32m  OK  [0m] Started [0;1;39mdaily update of the root trust anchor for DNSSEC[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mTimers[0m.
[[0;32m  OK  [0m] Listening on [0;1;39mD-Bus System Message Bus Socket[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mSockets[0m.
         Starting [0;1;39mD-Bus System Message Bus[0m...
[[0;32m  OK  [0m] Started [0;1;39mD-Bus System Message Bus[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mBasic System[0m.
         Starting [0;1;39mRealtimeKit Scheduling Policy Service[0m...
         Starting [0;1;39mLSB: Init script for live image.[0m...
         Starting [0;1;39mGSSAPI Proxy Daemon[0m...
[[0;32m  OK  [0m] Started [0;1;39mHardware RNG Entropy Gatherer Daemon[0m.
[[0;32m  OK  [0m] Started [0;1;39mSelf Monitoring and Reporting Technology (SMART) Daemon[0m.
         Starting [0;1;39mLogin Service[0m...
[[0;32m  OK  [0m] Started [0;1;39mirqbalance daemon[0m.
         Starting [0;1;39mModem Manager[0m...
[[0;32m  OK  [0m] Started [0;1;39mManage Sound Card State (restore and store)[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mSound Card[0m.
         Starting [0;1;39mHardware Monitoring Sensors[0m...
         Starting [0;1;39mSystem Logging Service[0m...
         Starting [0;1;39mAccounts Service[0m...
[[0;32m  OK  [0m] Started [0;1;39mMachine Check Exception Logging Daemon[0m.
         Starting [0;1;39mfirewalld - dynamic firewall daemon[0m...
[[0;32m  OK  [0m] Started [0;1;39mLSB: Init script for live image.[0m.
         Starting [0;1;39mNTP client/server[0m...
         Starting [0;1;39mSYSV: Late init script for live image.[0m...
[[0;32m  OK  [0m] Started [0;1;39mRealtimeKit Scheduling Policy Service[0m.
[[0;32m  OK  [0m] Started [0;1;39mSYSV: Late init script for live image.[0m.
[[0;32m  OK  [0m] Started [0;1;39mLogin Service[0m.
[[0;32m  OK  [0m] Started [0;1;39mSystem Logging Service[0m.
[[0;32m  OK  [0m] Started [0;1;39mGSSAPI Proxy Daemon[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mNFS client services[0m.
[[0;32m  OK  [0m] Started [0;1;39mHardware Monitoring Sensors[0m.
[[0;32m  OK  [0m] Started [0;1;39mNTP client/server[0m.
[[0;32m  OK  [0m] Started [0;1;39mModem Manager[0m.
         Starting [0;1;39mAuthorization Manager[0m...
[[0;32m  OK  [0m] Started [0;1;39mAuthorization Manager[0m.
[[0;32m  OK  [0m] Started [0;1;39mAccounts Service[0m.
[[0;32m  OK  [0m] Started [0;1;39mfirewalld - dynamic firewall daemon[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mNetwork (Pre)[0m.
         Starting [0;1;39mNetwork Manager[0m...
[[0;32m  OK  [0m] Started [0;1;39mNetwork Manager[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mNetwork[0m.
         Starting [0;1;39mAnonymizing overlay network for TCP[0m...
[[0;32m  OK  [0m] Started [0;1;39mLogout off all iSCSI sessions on shutdown[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mRemote File Systems (Pre)[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mNetwork is Online[0m.
         Starting [0;1;39mNotify NFS peers of a restart[0m...
         Starting [0;1;39mPermit User Sessions[0m...
         Starting [0;1;39mHostname Service[0m...
[[0;32m  OK  [0m] Started [0;1;39mPermit User Sessions[0m.
[[0;32m  OK  [0m] Started [0;1;39mCommand Scheduler[0m.
         Starting [0;1;39mHold until boot process finishes up[0m...
[[0;32m  OK  [0m] Started [0;1;39mDeferred execution scheduler[0m.
         Starting [0;1;39mLight Display Manager[0m...
[[0;32m  OK  [0m] Started [0;1;39mNotify NFS peers of a restart[0m.
[[0;32m  OK  [0m] Started [0;1;39mHostname Service[0m.
         Starting [0;1;39mNetwork Manager Script Dispatcher Service[0m...
[[0;32m  OK  [0m] Started [0;1;39mNetwork Manager Script Dispatcher Service[0m.
done.
Begin: Mounting root file system ... Begin: Running /scripts/local-top ... done.
Begin: Running /scripts/local-premount ... modprobe: module btrfs not found in modules.dep
done.
Begin: Running /scripts/local-bottom ... done.
Begin: Running /scripts/init-bottom ... done.

Welcome to [0;34mFedora 30 (Rawhide)[0m!

[[0;32m  OK  [0m] Listening on [0;1;39mJournal Audit Socket[0m.
[[0;32m  OK  [0m] Listening on [0;1;39mLVM2 metadata daemon socket[0m.
[[0;32m  OK  [0m] Created slice [0;1;39mUser and Session Slice[0m.
[[0;32m  OK  [0m] Listening on [0;1;39mudev Kernel Socket[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mSlices[0m.
[[0;32m  OK  [0m] Listening on [0;1;39minitctl Compatibility Named Pipe[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mUser and Group Name Lookups[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mLogin Prompts[0m.
[[0;32m  OK  [0m] Started [0;1;39mForward Password Requests to Wall Directory Watch[0m.
[[0;32m  OK  [0m] Set up automount [0;1;39mArbitrary Executable File Formats File System Automount Point[0m.
[[0;32m  OK  [0m] Listening on [0;1;39mudev Control Socket[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mSwap[0m.
[[0;32m  OK  [0m] Listening on [0;1;39mJournal Socket (/dev/log)[0m.
[[0;32m  OK  [0m] Listening on [0;1;39mLVM2 poll daemon socket[0m.
[[0;32m  OK  [0m] Listening on [0;1;39mDevice-mapper event daemon FIFOs[0m.
[[0;32m  OK  [0m] Listening on [0;1;39mJournal Socket[0m.
         Starting [0;1;39mMonitoring of LVM2 mirrors, snapshots etc. using dmeventd or progress polling[0m...
         Starting [0;1;39mPreprocess NFS configuration convertion[0m...
         Mounting [0;1;39mKernel Debug File System[0m...
         Starting [0;1;39mJournal Service[0m...
         Starting [0;1;39mSetup Virtual Console[0m...
         Mounting [0;1;39mTemporary Directory (/tmp)[0m...
         Starting [0;1;39mudev Coldplug all Devices[0m...
         Mounting [0;1;39mFUSE Control File System[0m...
         Starting [0;1;39mApply Kernel Variables[0m...
         Starting [0;1;39mFile System Check on Root Device[0m...
         Mounting [0;1;39mPOSIX Message Queue File System[0m...
[[0;32m  OK  [0m] Listening on [0;1;39mProcess Core Dump Socket[0m.
         Mounting [0;1;39mHuge Pages File System[0m...
[[0;32m  OK  [0m] Mounted [0;1;39mKernel Debug File System[0m.
[[0;32m  OK  [0m] Mounted [0;1;39mTemporary Directory (/tmp)[0m.
[[0;32m  OK  [0m] Mounted [0;1;39mFUSE Control File System[0m.
[[0;32m  OK  [0m] Mounted [0;1;39mPOSIX Message Queue File System[0m.
[[0;32m  OK  [0m] Mounted [0;1;39mHuge Pages File System[0m.
[[0;32m  OK  [0m] Started [0;1;39mJournal Service[0m.
[[0;32m  OK  [0m] Started [0;1;39mPreprocess NFS configuration convertion[0m.
[[0;32m  OK  [0m] Started [0;1;39mLVM2 metadata daemon[0m.
[[0;32m  OK  [0m] Started [0;1;39mudev Coldplug all Devices[0m.
         Starting [0;1;39mudev Wait for Complete Device Initialization[0m...
[[0;32m  OK  [0m] Started [0;1;39mSetup Virtual Console[0m.
[[0;32m  OK  [0m] Started [0;1;39mApply Kernel Variables[0m.
[[0;32m  OK  [0m] Started [0;1;39mMonitoring of LVM2 mirrors, snapshots etc. using dmeventd or progress polling[0m.
[[0;32m  OK  [0m] Started [0;1;39mFile System Check on Root Device[0m.
         Starting [0;1;39mRemount Root and Kernel File Systems[0m...
[[0;32m  OK  [0m] Started [0;1;39mRemount Root and Kernel File Systems[0m.
         Starting [0;1;39mFlush Journal to Persistent Storage[0m...
         Starting [0;1;39mLoad/Save Random Seed[0m...
         Starting [0;1;39mCreate Static Device Nodes in /dev[0m...
[[0;32m  OK  [0m] Started [0;1;39mLoad/Save Random Seed[0m.
[[0;32m  OK  [0m] Started [0;1;39mCreate Static Device Nodes in /dev[0m.
         Starting [0;1;39mudev Kernel Device Manager[0m...
[[0;32m  OK  [0m] Started [0;1;39mFlush Journal to Persistent Storage[0m.
[[0;32m  OK  [0m] Started [0;1;39mudev Kernel Device Manager[0m.
         Starting [0;1;39mShow Plymouth Boot Screen[0m...
[[0;32m  OK  [0m] Started [0;1;39mShow Plymouth Boot Screen[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mPaths[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mLocal Encrypted Volumes[0m.
[[0;32m  OK  [0m] Started [0;1;39mForward Password Requests to Plymouth Directory Watch[0m.
[[0;32m  OK  [0m] Listening on [0;1;39mLoad/Save RF Kill Switch Status /dev/rfkill Watch[0m.
[[0;32m  OK  [0m] Created slice [0;1;39msystem-systemd\x2dbacklight.slice[0m.
         Starting [0;1;39mLoad/Save Screen Backlight Brightness of backlight:intel_backlight[0m...
         Starting [0;1;39mSetup Virtual Console[0m...
[[0;32m  OK  [0m] Started [0;1;39mSetup Virtual Console[0m.
         Starting [0;1;39mShow Plymouth Boot Screen[0m...
[[0;32m  OK  [0m] Started [0;1;39mShow Plymouth Boot Screen[0m.
[[0;32m  OK  [0m] Started [0;1;39mLoad/Save Screen Backlight Brightness of backlight:intel_backlight[0m.
         Starting [0;1;39mLoad/Save RF Kill Switch Status[0m...
[[0;32m  OK  [0m] Started [0;1;39mudev Wait for Complete Device Initialization[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mLocal File Systems (Pre)[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mLocal File Systems[0m.
         Starting [0;1;39mCreate Volatile Files and Directories[0m...
         Starting [0;1;39mTell Plymouth To Write Out Runtime Data[0m...
         Starting [0;1;39mRestore /run/initramfs on shutdown[0m...
[[0;32m  OK  [0m] Started [0;1;39mLoad/Save RF Kill Switch Status[0m.
[[0;32m  OK  [0m] Started [0;1;39mRestore /run/initramfs on shutdown[0m.
[[0;32m  OK  [0m] Started [0;1;39mTell Plymouth To Write Out Runtime Data[0m.
[[0;32m  OK  [0m] Started [0;1;39mCreate Volatile Files and Directories[0m.
         Starting [0;1;39mSecurity Auditing Service[0m...
         Mounting [0;1;39mRPC Pipe File System[0m...
         Starting [0;1;39mNetwork Name Resolution[0m...
[[0;32m  OK  [0m] Mounted [0;1;39mRPC Pipe File System[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mrpc_pipefs.target[0m.
[[0;32m  OK  [0m] Started [0;1;39mNetwork Name Resolution[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mHost and Network Name Lookups[0m.
[[0;32m  OK  [0m] Started [0;1;39mSecurity Auditing Service[0m.
         Starting [0;1;39mUpdate UTMP about System Boot/Shutdown[0m...
[[0;32m  OK  [0m] Started [0;1;39mUpdate UTMP about System Boot/Shutdown[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mSystem Initialization[0m.
[[0;32m  OK  [0m] Started [0;1;39mDaily rotation of log files[0m.
[[0;32m  OK  [0m] Started [0;1;39mdaily update of the root trust anchor for DNSSEC[0m.
[[0;32m  OK  [0m] Started [0;1;39mUpdates mlocate database every day[0m.
[[0;32m  OK  [0m] Listening on [0;1;39mOpen-iSCSI iscsiuio Socket[0m.
[[0;32m  OK  [0m] Listening on [0;1;39mOpen-iSCSI iscsid Socket[0m.
[[0;32m  OK  [0m] Started [0;1;39mdnf makecache --timer[0m.
[[0;32m  OK  [0m] Listening on [0;1;39mD-Bus System Message Bus Socket[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mSockets[0m.
         Starting [0;1;39mD-Bus System Message Bus[0m...
[[0;32m  OK  [0m] Started [0;1;39mDaily Cleanup of Temporary Directories[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mTimers[0m.
[[0;32m  OK  [0m] Started [0;1;39mD-Bus System Message Bus[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mBasic System[0m.
         Starting [0;1;39mLogin Service[0m...
[[0;32m  OK  [0m] Started [0;1;39mManage Sound Card State (restore and store)[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mSound Card[0m.
[[0;32m  OK  [0m] Started [0;1;39mMachine Check Exception Logging Daemon[0m.
[[0;32m  OK  [0m] Started [0;1;39mSelf Monitoring and Reporting Technology (SMART) Daemon[0m.
         Starting [0;1;39mLSB: Init script for live image.[0m...
[[0;32m  OK  [0m] Started [0;1;39mirqbalance daemon[0m.
         Starting [0;1;39mSystem Logging Service[0m...
         Starting [0;1;39mAccounts Service[0m...
         Starting [0;1;39mHardware Monitoring Sensors[0m...
         Starting [0;1;39mGSSAPI Proxy Daemon[0m...
[[0;32m  OK  [0m] Started [0;1;39mHardware RNG Entropy Gatherer Daemon[0m.
         Starting [0;1;39mRealtimeKit Scheduling Policy Service[0m...
         Starting [0;1;39mModem Manager[0m...
         Starting [0;1;39mfirewalld - dynamic firewall daemon[0m...
[[0;32m  OK  [0m] Started [0;1;39mLSB: Init script for live image.[0m.
         Starting [0;1;39mSYSV: Late init script for live image.[0m...
         Starting [0;1;39mNTP client/server[0m...
[[0;32m  OK  [0m] Started [0;1;39mSYSV: Late init script for live image.[0m.
[[0;32m  OK  [0m] Started [0;1;39mRealtimeKit Scheduling Policy Service[0m.
[[0;32m  OK  [0m] Started [0;1;39mLogin Service[0m.
[[0;32m  OK  [0m] Started [0;1;39mHardware Monitoring Sensors[0m.
[[0;32m  OK  [0m] Started [0;1;39mSystem Logging Service[0m.
[[0;32m  OK  [0m] Started [0;1;39mNTP client/server[0m.
[[0;32m  OK  [0m] Started [0;1;39mModem Manager[0m.
[[0;32m  OK  [0m] Started [0;1;39mGSSAPI Proxy Daemon[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mNFS client services[0m.
         Starting [0;1;39mAuthorization Manager[0m...
[[0;32m  OK  [0m] Started [0;1;39mAuthorization Manager[0m.
[[0;32m  OK  [0m] Started [0;1;39mAccounts Service[0m.
[[0;32m  OK  [0m] Started [0;1;39mfirewalld - dynamic firewall daemon[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mNetwork (Pre)[0m.
         Starting [0;1;39mNetwork Manager[0m...
[[0;32m  OK  [0m] Started [0;1;39mNetwork Manager[0m.
[[0;32m  OK  [0m] Reached target [0;1;39mNetwork[0m.
         Starting [0;1;39mPermit User Sessions[0m...
[[0;32m  OK  [0m] Reached target [0;1;39mNetwork is Online[0m.
         Starting [0;1;39mNotify NFS peers of a restart[0m...
[[0;32m  OK  [0m] Started [0;1;39mLogout off all iSCSI sessions on shutdown[0m.
         Starting [0;1;39mAnonymizing overlay network for TCP[0m...
[[0;32m  OK  [0m] Reached target [0;1;39mRemote File Systems (Pre)[0m.
[[0;32m  OK  [0m] Started [0;1;39mPermit User Sessions[0m.
         Starting [0;1;39mLight Display Manager[0m...
[[0;32m  OK  [0m] Started [0;1;39mCommand Scheduler[0m.
[[0;32m  OK  [0m] Started [0;1;39mDeferred execution scheduler[0m.
         Starting [0;1;39mHold until boot process finishes up[0m...
[[0;32m  OK  [0m] Started [0;1;39mNotify NFS peers of a restart[0m.
         Starting [0;1;39mHostname Service[0m...
[[0;32m  OK  [0m] Started [0;1;39mHostname Service[0m.
###EOF###

Comment 4 Zbigniew Jędrzejewski-Szmek 2018-12-30 21:00:40 UTC
Thanks. Unfortunately I don't think it's possible to glean anything from this log.
Similar issues are being discussed upstream, so I expect that there will be a new systemd rpm soon with some patches.
I'll comment on this bug when there's something new to test.

Comment 5 Valdis Kletnieks 2018-12-31 02:48:20 UTC
Where exactly are these "similar issues" being discussed?  I don't see any discussion on the systemd-devel mailing list...

Comment 6 Yu Watanabe 2019-01-08 17:24:32 UTC
https://github.com/systemd/systemd/issues/11314

Comment 7 contactopublico57 2019-01-08 18:39:21 UTC
Please note that subsequent systemd (udev) issues have been raised regarding the debian related systemd/udev 240 upgrade.  

This bug reporter experienced no boot failure upgrading to systemd/udev 240 from the buster/sid repos as applied to numerous debian distros.

The only distro experiencing boot failure was with fedora rawhide upgrading from the rawhide 30 repo.

Comment 8 Zbigniew Jędrzejewski-Szmek 2019-01-08 20:30:17 UTC
Actually, it'd be really good if you could boot with 'udev.log_priority=debug' on the kernel command line, and provide 'journalctl -b'.
If the boot does not complete and you cannot log in, also add 'systemd.debug-shell' on the kernel command line, and switch to tty9 with ctrl-alt-f9 and run 'journalctl -b' there.

Comment 9 contactopublico57 2019-01-10 15:39:05 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1662168

--- Comment #8 from Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> ---
Actually, it'd be really good if you could boot with 'udev.log_priority=debug'
on the kernel command line, and provide 'journalctl -b'.
If the boot does not complete and you cannot log in, also add
'systemd.debug-shell' on the kernel command line, and switch to tty9 with
ctrl-alt-f9 and run 'journalctl -b' there.

ctrl-alt-f2
journalctl -b excerpted:

Jan 09 17:57:56 localhost.localdomain systemd[1]: Starting udev Kernel Device Manager...
Jan 09 17:57:57 localhost.localdomain systemd[1]: Started udev Kernel Device Manager.

--snip--

Jan 09 17:58:20 localhost.localdomain systemd[1]: Created slice system-systemd\x2dcoredump.slice.
Jan 09 17:58:20 localhost.localdomain systemd[1]: Started Process Core Dump (PID 757/UID 0).
Jan 09 17:58:20 localhost.localdomain audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-coredump@0-757-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Jan 09 17:58:20 localhost.localdomain lightdm[734]: pam_unix(lightdm-greeter:session): session closed for user lightdm
Jan 09 17:58:20 localhost.localdomain audit[734]: USER_END pid=734 uid=0 auid=4294967295 ses=4294967295 msg='op=PAM:session_close grantors=pam_unix,pam_systemd acct="lightdm" exe="/usr/sbin/lightdm" hostname=? addr=? terminal=:0 res=success'
Jan 09 17:58:20 localhost.localdomain audit[734]: CRED_DISP pid=734 uid=0 auid=4294967295 ses=4294967295 msg='op=PAM:setcred grantors=pam_env,pam_permit acct="lightdm" exe="/usr/sbin/lightdm" hostname=? addr=? terminal=:0 res=success'
Jan 09 17:58:20 localhost.localdomain systemd[1]: session-c1.scope: Succeeded.
Jan 09 17:58:20 localhost.localdomain systemd-logind[570]: Session c1 logged out. Waiting for processes to exit.
Jan 09 17:58:20 localhost.localdomain systemd-logind[570]: Removed session c1.
Jan 09 17:58:21 localhost.localdomain systemd[1]: lightdm.service: Main process exited, code=exited, status=1/FAILURE
Jan 09 17:58:21 localhost.localdomain systemd[1]: lightdm.service: Failed with result 'exit-code'.
Jan 09 17:58:21 localhost.localdomain audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=lightdm comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
Jan 09 17:58:21 localhost.localdomain systemd-coredump[760]: Process 745 (lightdm-gtk-gre) of user 993 dumped core.
                                                             
                                                             Stack trace of thread 745:
                                                             #0  0x00007f53dc1b1ec5 n/a (libglib-2.0.so.0)
                                                             #1  0x00007f53dc1b2f91 g_log_default_handler (libglib-2.0.so.0)
                                                             #2  0x00007f53dc1b31df g_logv (libglib-2.0.so.0)
                                                             #3  0x00007f53dc1b33d3 g_log (libglib-2.0.so.0)
                                                             #4  0x00007f53dc1d5c1a g_thread_new (libglib-2.0.so.0)
                                                             #5  0x00007f53dc3ecf54 n/a (libgio-2.0.so.0)
                                                             #6  0x00007f53dc3e05a8 n/a (libgio-2.0.so.0)
                                                             #7  0x00007f53dc3e0c3b g_bus_get_sync (libgio-2.0.so.0)
                                                             #8  0x00007f53d96dc12f n/a (libgvfsdbus.so)
                                                             #9  0x00007f53dc2bc35a g_type_create_instance (libgobject-2.0.so.0)
                                                             #10 0x00007f53dc29e1a8 n/a (libgobject-2.0.so.0)
                                                             #11 0x00007f53dc29f8f5 g_object_new_with_properties (libgobject-2.0.so.0)
                                                             #12 0x00007f53dc2a04b1 g_object_new (libgobject-2.0.so.0)
                                                             #13 0x00007f53dc3590ec n/a (libgio-2.0.so.0)
                                                             #14 0x00007f53dc35927b n/a (libgio-2.0.so.0)
                                                             #15 0x00007f53dc3434d2 g_file_new_for_uri (libgio-2.0.so.0)
                                                             #16 0x00007f53dc94081b gtk_css_provider_load_from_resource (libgtk-3.so.0)
                                                             #17 0x00007f53dc940b6b n/a (libgtk-3.so.0)
                                                             #18 0x00007f53dca7e7ef n/a (libgtk-3.so.0)
                                                             #19 0x00007f53dca81cf4 n/a (libgtk-3.so.0)
                                                             #20 0x00007f53dc94bcde n/a (libgtk-3.so.0)
                                                             #21 0x00007f53dc937aa6 n/a (libgtk-3.so.0)
                                                             #22 0x00007f53dc2bc31d g_type_create_instance (libgobject-2.0.so.0)
                                                             #23 0x00007f53dc29e1a8 n/a (libgobject-2.0.so.0)
                                                             #24 0x00007f53dc29f8f5 g_object_new_with_properties (libgobject-2.0.so.0)
                                                             #25 0x00007f53dc2a04b1 g_object_new (libgobject-2.0.so.0)
                                                             #26 0x00007f53dc95456e n/a (libgtk-3.so.0)
                                                             #27 0x00007f53dcb30f5a n/a (libgtk-3.so.0)
                                                             #28 0x00007f53dc2bc31d g_type_create_instance (libgobject-2.0.so.0)
                                                             #29 0x00007f53dc29e1a8 n/a (libgobject-2.0.so.0)
                                                             #30 0x00007f53dc2a012e g_object_new_valist (libgobject-2.0.so.0)
                                                             #31 0x00007f53dc2a048d g_object_new (libgobject-2.0.so.0)
                                                             #32 0x000055f87f6a298e main (lightdm-gtk-greeter)
                                                             #33 0x00007f53dbceeee3 __libc_start_main (libc.so.6)
                                                             #34 0x000055f87f6a435a _start (lightdm-gtk-greeter)
                                                             
                                                             Stack trace of thread 746:
                                                             #0  0x00007f53dbdbc661 __poll (libc.so.6)
                                                             #1  0x00007f53dc1ac0b6 n/a (libglib-2.0.so.0)
                                                             #2  0x00007f53dc1ac1e0 g_main_context_iteration (libglib-2.0.so.0)
                                                             #3  0x00007f53dc1ac231 n/a (libglib-2.0.so.0)
                                                             #4  0x00007f53dc1d57ea n/a (libglib-2.0.so.0)
                                                             #5  0x00007f53dbe965a3 start_thread (libpthread.so.0)
                                                             #6  0x00007f53dbdc74b3 __clone (libc.so.6)
Jan 09 17:58:21 localhost.localdomain systemd[1]: systemd-coredump@0-757-0.service: Succeeded.
###EOF###

excerpted /var/log/lightdm/seat0-greeter.log:

libGL error: unable to load driver: i965_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: i965
libGL error: unable to load driver: i965_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: i965
libGL error: unable to load driver: swrast_dri.so
libGL error: failed to load driver: swrast

(lightdm-gtk-greeter:925): GLib-ERROR **: 18:08:51.310: creating thread 'gdbus': Error creating thread: Resource temporarily unavailable
###EOF###

excerpted /var/log/lightdm/lightdm.log:

[+0.00s] DEBUG: Logging to /var/log/lightdm/lightdm.log
[+0.00s] DEBUG: Starting Light Display Manager 1.28.0, UID=0 PID=909
[+0.00s] DEBUG: Loading configuration dirs from /usr/share/lightdm/lightdm.conf.d
[+0.00s] DEBUG: Loading configuration from /usr/share/lightdm/lightdm.conf.d/50-backup-logs.conf
[+0.00s] DEBUG: Loading configuration from /usr/share/lightdm/lightdm.conf.d/50-disable-guest.conf
[+0.00s] DEBUG: Loading configuration from /usr/share/lightdm/lightdm.conf.d/50-minimum-vt.conf
[+0.00s] DEBUG: Loading configuration from /usr/share/lightdm/lightdm.conf.d/50-remove-wayland-session.conf
[+0.00s] DEBUG: Loading configuration from /usr/share/lightdm/lightdm.conf.d/50-session-wrapper.conf
[+0.00s] DEBUG: Loading configuration from /usr/share/lightdm/lightdm.conf.d/50-user-authority-in-system-dir.conf
[+0.00s] DEBUG: Loading configuration from /usr/share/lightdm/lightdm.conf.d/50-xserver-command.conf
[+0.00s] DEBUG: Loading configuration from /usr/share/lightdm/lightdm.conf.d/60-lightdm-gtk-greeter.conf
[+0.00s] DEBUG: Loading configuration dirs from /usr/local/share/lightdm/lightdm.conf.d
[+0.00s] DEBUG: Loading configuration dirs from /etc/xdg/lightdm/lightdm.conf.d
[+0.00s] DEBUG: Loading configuration from /etc/lightdm/lightdm.conf
[+0.00s] DEBUG: Registered seat module local
[+0.00s] DEBUG: Registered seat module xremote
[+0.00s] DEBUG: Registered seat module unity
[+0.00s] DEBUG: Using D-Bus name org.freedesktop.DisplayManager
[+0.00s] DEBUG: Monitoring logind for seats
[+0.00s] DEBUG: New seat added from logind: seat0
[+0.00s] DEBUG: Seat seat0: Loading properties from config section Seat:*
[+0.00s] DEBUG: Seat seat0: Starting
[+0.00s] DEBUG: Seat seat0: Creating greeter session
[+0.00s] DEBUG: Seat seat0: Creating display server of type x
[+0.00s] DEBUG: posix_spawn avoided (fd close requested) 
[+0.01s] DEBUG: Using VT 1
[+0.01s] DEBUG: Seat seat0: Starting local X display on VT 1
[+0.01s] DEBUG: XServer 0: Logging to /var/log/lightdm/x-0.log
[+0.01s] DEBUG: XServer 0: Writing X server authority to /var/run/lightdm/root/:0
[+0.01s] DEBUG: XServer 0: Launching X Server
[+0.01s] DEBUG: Launching process 914: /usr/bin/X -core -noreset :0 -seat seat0 -auth /var/run/lightdm/root/:0 -nolisten tcp vt1 -novtswitch
[+0.01s] DEBUG: XServer 0: Waiting for ready signal from X server :0
[+0.01s] DEBUG: Acquired bus name org.freedesktop.DisplayManager
[+0.01s] DEBUG: Registering seat with bus path /org/freedesktop/DisplayManager/Seat0
[+0.01s] DEBUG: Loading users from org.freedesktop.Accounts
[+0.01s] DEBUG: User /org/freedesktop/Accounts/User1000 added
[+0.03s] DEBUG: posix_spawn avoided (automatic reaping requested) (fd close requested) 
[+0.30s] DEBUG: Got signal 10 from process 914
[+0.30s] DEBUG: XServer 0: Got signal from X server :0
[+0.30s] DEBUG: XServer 0: Connecting to XServer :0
[+0.32s] DEBUG: posix_spawn avoided (fd close requested) (child_setup specified) 
[+0.32s] DEBUG: Seat seat0: Display server ready, starting session authentication
[+0.32s] DEBUG: Session pid=922: Started with service 'lightdm-greeter', username 'lightdm'
[+0.36s] DEBUG: Session pid=922: Authentication complete with return value 0: Success
[+0.36s] DEBUG: Seat seat0: Session authenticated, running command
[+0.36s] DEBUG: Session pid=922: Running command /usr/sbin/lightdm-gtk-greeter
[+0.36s] DEBUG: Creating shared data directory /var/lib/lightdm-data/lightdm
[+0.36s] DEBUG: Session pid=922: Logging to /var/log/lightdm/seat0-greeter.log
[+0.37s] DEBUG: Activating VT 1
[+0.37s] DEBUG: Activating login1 session c8
[+0.38s] DEBUG: Seat seat0 changes active session to c8
[+0.38s] DEBUG: Session c8 is already active
[+0.52s] DEBUG: Greeter closed communication channel
[+0.52s] DEBUG: Session pid=922: Exited with return value 1
[+0.52s] DEBUG: Seat seat0: Session stopped
[+0.52s] DEBUG: Seat seat0: Stopping; failed to start a greeter
[+0.52s] DEBUG: Seat seat0: Stopping
[+0.52s] DEBUG: Seat seat0: Stopping display server
[+0.52s] DEBUG: Sending signal 15 to process 914
[+0.53s] DEBUG: Seat seat0 changes active session to 
[+0.70s] DEBUG: Process 914 exited with return value 0
[+0.70s] DEBUG: XServer 0: X server stopped
[+0.70s] DEBUG: Releasing VT 1
[+0.70s] DEBUG: XServer 0: Removing X server authority /var/run/lightdm/root/:0
[+0.70s] DEBUG: Seat seat0: Display server stopped
[+0.70s] DEBUG: Seat seat0: Stopped
[+0.70s] DEBUG: Required seat has stopped
[+0.70s] DEBUG: Stopping display manager
[+0.70s] DEBUG: Display manager stopped
[+0.70s] DEBUG: Stopping daemon
[+0.70s] DEBUG: Exiting with return value 1
###EOF###

Comment 10 Zbigniew Jędrzejewski-Szmek 2019-01-10 16:25:38 UTC
*** Bug 1664882 has been marked as a duplicate of this bug. ***

Comment 11 Zbigniew Jędrzejewski-Szmek 2019-01-11 13:53:18 UTC
This should be fixed now.


Note You need to log in before you can comment on or make changes to this bug.